import { configureAxios, request } from "../requests";

export const searchMovieSubtitle = (imdbId, lang) => {
  return request(
    "MOVIE_SUBTITLES_UPDATE",
    configureAxios().post(`/movies/${imdbId}/subtitles/${lang}`),
    null,
    { imdbId, lang }
  );
};

export const searchEpisodeSubtitle = (imdbId, season, episode, lang) => {
  const url = `/shows/${imdbId}/seasons/${season}/episodes/${episode}`;
  return request(
    "EPISODE_SUBTITLES_UPDATE",
    configureAxios().post(`${url}/subtitles/${lang}`),
    null,
    {
      imdbId,
      season,
      episode,
      lang,
    }
  );
};
