import React from "react";
import PropTypes from "prop-types";

export const ImdbBadge = ({ imdbId }) => {
  if (imdbId === undefined) {
    return null;
  }

  return (
    <span className="d-inline">
      <a
        className="btn btn-sm btn-warning m-1"
        href={`https://www.imdb.com/title/${imdbId}`}
      >
        IMDb
        <i className="ml-1 fa fa-external-link"></i>
      </a>
    </span>
  );
};
ImdbBadge.propTypes = { imdbId: PropTypes.string };
ImdbBadge.defaultProps = { imdbId: undefined };
