import React from "react";
import { useSelector } from "react-redux";

import { TorrentGroup } from "./torrentGroup";

export const Torrents = () => {
  const torrentsKeys = useSelector((state) =>
    Array.from(state.torrents.torrents.keys())
  );

  if (torrentsKeys.length === 0) {
    return (
      <div className="jumbotron">
        <h2>No torrents</h2>
      </div>
    );
  }

  return (
    <div className="d-flex flex-wrap">
      {torrentsKeys.map((key) => (
        <TorrentGroup key={key} torrentKey={key} />
      ))}
    </div>
  );
};
